--- ./gdb/configure_orig	2011-11-10 17:22:54.329665860 +0530
+++ ./gdb/configure	2011-11-11 11:59:35.705005570 +0530
@@ -7917,12 +7917,18 @@
 # configuration.
 gdb_host_obs=posix-hdep.o
 
+isppc64_aix=`echo ${target} | cut -c 1-17`
+
 if test "${target}" = "${host}"; then
   gdb_native=yes
 else
   gdb_native=no
 fi
 
+if test "${isppc64_aix}" = "powerpc64-ibm-aix"; then
+   gdb_native=yes
+fi
+
 . $srcdir/configure.host
 
 # Accumulate some settings from configure.tgt over all enabled targets
@@ -14347,7 +14353,7 @@
 $as_echo "$found" >&6; }
 
 
-if test ${build} = ${host} -a ${host} = ${target} ; then
+if test ${build} = ${host} ; then
    case ${host_os} in
    solaris*)
       # See if thread_db library is around for Solaris thread debugging.
--- ./gdb/configure.tgt_orig	2011-11-10 17:22:44.858602766 +0530
+++ ./gdb/configure.tgt	2011-11-10 17:22:48.346606973 +0530
@@ -411,6 +411,12 @@
 	gdb_target_obs="rs6000-tdep.o rs6000-aix-tdep.o xcoffread.o \
 			ppc-sysv-tdep.o solib.o solib-svr4.o"
 	;;
+powerpc64-*-aix* | rs6000-*-*)
+        # Target: PowerPC64 running AIX
+	gdb_target_obs="rs6000-tdep.o rs6000-aix-tdep.o xcoffread.o \
+			monitor.o dsrec.o ppcbug-rom.o dink32-rom.o \
+			ppc-sysv-tdep.o solib.o solib-svr4.o"
+	;;
 powerpc-*-linux* | powerpc64-*-linux*)
 	# Target: PowerPC running Linux
 	gdb_target_obs="rs6000-tdep.o ppc-linux-tdep.o ppc-sysv-tdep.o \
--- ./bfd/configure_orig	2011-11-11 12:01:31.188995290 +0530
+++ ./bfd/configure	2011-11-11 12:01:26.264989645 +0530
@@ -13821,7 +13821,7 @@
 COREFLAG=
 CORE_HEADER=
 TRAD_HEADER=
-if test "${target}" = "${host}"; then
+if test "${build}" = "${host}"; then
   case "${host}" in
   alpha*-*-freebsd* | alpha*-*-kfreebsd*-gnu | alpha*-*-*vms*)
 	COREFILE=''
@@ -13973,7 +13973,7 @@
   rs6000-*-lynx*)
   	COREFILE=lynx-core.lo
 	;;
-  rs6000-*-aix[5-9].* | powerpc-*-aix[5-9].*)
+  rs6000-*-aix[5-9].* | powerpc-*-aix[5-9].* | powerpc64-*-aix[5-9].*)
         COREFILE=rs6000-core.lo
 	COREFLAG="$COREFLAG -DAIX_5_CORE -DAIX_CORE_DUMPX_CORE"
 	;;
@@ -14011,6 +14011,7 @@
   rs6000-*-*)		COREFILE=rs6000-core.lo ;;
   powerpc-*-aix4*)	COREFILE=rs6000-core.lo ;;
   powerpc-*-aix*)	COREFILE=rs6000-core.lo ;;
+  powerpc64-*-aix)	COREFILE=rs6000-core.lo ;;
   powerpc-*-beos*)	;;
   powerpc-*-freebsd* | powerpc-*-kfreebsd*-gnu)
 		        COREFILE='' ;;
